## ros-indigo-rotors-hil-interface 2.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rotors_hil_interface)

add_definitions(-std=c++11)

find_package(Mavlink QUIET)

if (Mavlink_DIR)
  message(STATUS "Building HIL_INTERFACE package.")
else ()
  message(STATUS "Mavlink not found. Skipping HIL_INTERFACE package.")

  # We still have to call catkin package for this to be a valid package,
  # even if empty.
  find_package(catkin REQUIRED)
  catkin_package()
  return()
endif ()

find_package(catkin REQUIRED COMPONENTS
  cmake_modules
  geometry_msgs
  mav_msgs
  mavros
  mavros_msgs
  roscpp
  sensor_msgs
)

find_package(Eigen REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES rotors_hil_interface
  CATKIN_DEPENDS geometry_msgs mav_msgs mavros mavros_msgs roscpp sensor_msgs
  DEPENDS
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Eigen_INCLUDE_DIRS}
  ${mavros_msgs_INCLUDE_DIRS}
)

add_library(rotors_hil_interface
  src/hil_sensor_level_interface.cpp
  src/hil_state_level_interface.cpp
)

target_link_libraries(rotors_hil_interface ${catkin_LIBRARIES} ${mavros_LIBRARIES})
add_dependencies(rotors_hil_interface ${catkin_EXPORTED_TARGETS} ${mavros_EXPORTED_TARGETS} ${mavros_msgs_EXPORTED_TARGETS})

add_executable(rotors_hil_interface_node src/hil_interface_node.cpp)
add_dependencies(rotors_hil_interface_node ${catkin_EXPORTED_TARGETS} )
target_link_libraries(rotors_hil_interface_node rotors_hil_interface ${catkin_LIBRARIES})

install(TARGETS
    rotors_hil_interface
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(TARGETS
    rotors_hil_interface_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-rotors-hil-interface (2.2.3-0trusty) trusty; urgency=high



 -- Pavel Vechersky <pvechersky@gmail.com>  Wed, 12 Dec 2018 23:00:00 -0000

ros-indigo-rotors-hil-interface (2.2.2-0trusty) trusty; urgency=high

  * Merge branch 'feature/hil_mavros_fix' into feature/gazebo9-autobackport
  * fix not including message types
  * Contributors: Zachary Taylor, michaelpantic

 -- Pavel Vechersky <pvechersky@gmail.com>  Tue, 11 Dec 2018 23:00:00 -0000

ros-indigo-rotors-hil-interface (2.2.0-0trusty) trusty; urgency=high

  * Merge pull request #430 <https://github.com/ethz-asl/rotors_simulator/issues/430> from ethz-asl/fix/hil_eigen
    Fix compile error with new Eigen on implicit Eigen typecasts.
  * Fix compile error with new Eigen on implicit Eigen typecasts.
  * Merge pull request #397 <https://github.com/ethz-asl/rotors_simulator/issues/397> from ethz-asl/v2.1.1
    update to 2.1.1
  * Contributors: Helen Oleynikova, Mina Kamel

 -- Pavel Vechersky <pvechersky@gmail.com>  Sun, 09 Dec 2018 23:00:00 -0000

ros-indigo-rotors-hil-interface (2.1.1-0trusty) trusty; urgency=high

  * Update maintainers.
  * Contributors: Timo Hinzmann

 -- Pavel Vechersky <pvechersky@gmail.com>  Wed, 26 Apr 2017 22:00:00 -0000

ros-indigo-rotors-hil-interface (2.1.0-0trusty) trusty; urgency=high

  * fixed typo in rotors_hil_interface CMakeLists.txt
  * Fix HIL interface compilation.
  * Fixed erroneous child variable name changes (unit postfixes) for MAVlink variable types.
  * Added even more unit prefixes to variables names.
  * Updated more variable names with unit prefixes.
  * Added unit suffixes to variable names.
  * Updated a u_int64_t to uint64_t. Also check to see if I have write privliages to repo.
  * Added slightly more descriptive reason as to why HIL interface would be skipped.
  * Replacing some default topic names with more general mav_comm defaults
  * Refactoring fixes
  * Fixing rotors_hil installation
  * Adding rosinstall file for HIL configuration
  * Adding the hil_interface package
  * Contributors: Fadri Furrer, Geoffrey Hunter, Helen Oleynikova, Pavel

 -- Pavel Vechersky <pvechersky@gmail.com>  Fri, 07 Apr 2017 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-rotors-hil-interface
Section: misc
Priority: extra
Maintainer: Pavel Vechersky <pvechersky@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-geometry-msgs, ros-indigo-mav-msgs, ros-indigo-mavros, ros-indigo-mavros-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs
Homepage: https://github.com/ethz-asl/rotors_simulator
Standards-Version: 3.9.2

Package: ros-indigo-rotors-hil-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-mav-msgs, ros-indigo-mavros, ros-indigo-mavros-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs
Description: RotorS Hardware-in-the-loop interface package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rotors-hil-interface//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
